Subject: Re: [bug#28972] [PATCH] gnu: Remove unrar.

From: ng0 <[email-masked]>
Date: Tue, 24 Oct 2017 20:40:32 +0000

Leo Famulari transcribed 2.2K bytes:
> On Tue, Oct 24, 2017 at 10:09:00PM +0200, nee wrote:
> > Am 24.10.2017 um 21:07 schrieb ng0:
> > > Leo Famulari transcribed 1.4K bytes:
> > >> This package is abandoned upstream and contains serious bugs:
> > > 
> > > Oh oh. Do we have another package providing the binar(ies) and function
> > > unrar has?
> > > 
> > Is anything actually using unrar?
> > 
> > grep -r unrar in guix-git/gnu/ gives me no relevant hits
> > 
> > I tried to add it as input for the mcomix package when I packaged
> > mcomix, but it was unusable and couldn't open a single file.
> > I remember that it behaved weird and unexpected and sometimes asked for
> > passwords on stdin when the file wasn't encrypted.
> > 
> > It is very outdated and the rar standard it supports has been replaced
> > around 15 years ago.
> 
> Agreed, I don't know if this software is useful anymore, and it isn't
> used by any of our packages.
> 
> > The closest replacement that I know is libarchive, it's not a
> > commandline utility like unrar, but it is used in  file-roller which can
> > open some rars.

The problem is "some".

> There is also the Python module packaged in Guix as python-rarfile.
> 
> Is anyone using this unrar package? Please speak up. And, please check
> if file-roller will work for you.

As I pointed out in the previous email, mc uses it.
I personally use unrar for some files which are older than 15 years,
but I'm okay with just taking our unrar and maintain it in my repository.

The reason why I'm asking to reconsider until we have a replament is
software such as mc. We can not[*] search every line of sourcecode
of packages we have to see where unrar is implicitly used without
a store reference.

*: We could, but that's a good way to waste resources.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org